Skip to main content
`Ctrl`+`K`

# PetscRandomInitializePackage

This function initializes everything in the `PetscRandom` package. It is called from PetscDLLibraryRegister_petsc() when using dynamic libraries, and on the first call to `PetscRandomCreate()` when using shared or static libraries.

## Synopsis

    PetscErrorCode PetscRandomInitializePackage(void)

## See Also

`PetscInitialize()`

## Level

developer

## Location

src/sys/classes/random/interface/dlregisrand.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages